Subject: sshd: multiple connections fail while drives are mounted
From: Ralf Fassel <[email-masked]>
To: [email-masked]
Date: Wed, 9 Aug 2000 13:26:06 +0200 (MDT)

Hi all,
openssh-2.1.1p4-2 sshd on NT 4, SP6, latest cygwin1.dll (1.1.4).  sshd
on NT set up to allow logins for different users (as described in the
openssh-NT-README).

Problem: I cannot start two connections at the same time, when one
connection mounts a drive with `net use'.  There seems to be no
problem, when I first start two connections and mount drives on
either.

OK:
  UNIX/xterm1% ssh NT-box
  Password: xxx
  UNIX/xterm2% ssh NT-box
  Password: xxx
     NT-box-1% net use '*' '\\server\service' 'passwd'
     NT-box-2% net use '*' '\\server\service' 'passwd'
I get both logins just fine, and the drives are mounted ok on both
connections.

Not OK:
  UNIX/xterm1% ssh NT-box
  Password: xxx
     NT-box-1% net use '*' '\\server\service' 'passwd'
  UNIX/xterm2% ssh NT-box
  Connection closed by foreign host.
I.e. not even an `Password' prompt.

As soon as I disconnect the mounted drive on NT-box-1 (no logout!), I
can login via ssh again on the second connection.  It does not matter
whether I try to connect as different users or the same user.

R'
-- 
Unix is user-friendly, its just picky about who it is friends with.

--
Want to unsubscribe from this list?
Send a message to [email-masked]